Summary:     arch - A modern CVS replacement
Name:        tla
Version:     1.3
Release:     4.pp
License:     GPL
Group:       Development/Version Control
Source0:     ftp://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz
Patch0:      %{name}-gpg-check.patch
URL:         http://regexps.srparish.net/www/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Thomas Lord <lord@emf.net>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc
Provides:    %{name}.pp arch
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel
ExclusiveOS: linux


%description
arch is a modern replacement for CVS, specifically designed for the
distributed development needs of open source projects. It has uniquely
good support for development on branches (especially good merging
tools), distributed repositories (every developer can have branches
in their own repository), changeset-oriented project management (arch
commits changes to multiple files at once), and, of course, file and
directory renaming.


%prep
%setup -q
%patch0 -p1
mkdir src/\=build
# Prepare docs
mkdir -p docs/ps docs/html
cp -f =*README =INSTALL docs
cp -f src/tla/C* src/docs-tla/HOWTO* docs
cp -f src/docs-tla/ps/*.ps docs/ps
cp -f src/docs-tla/html/*.html docs/html


%build
export CFLAGS="$RPM_OPT_FLAGS"
pushd src/\=build
../configure \
	--prefix=/usr                 \
	--destdir=$RPM_BUILD_ROOT
make
make test
popd


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
pushd src/\=build
make install
popd
install -m 755 src/tla/=gpg-check.awk $RPM_BUILD_ROOT/usr/bin/%{name}-gpg-check


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc docs/*
/usr/bin/*


%changelog
* Sat Mar 12 2005 peter.pramberger@member.fsf.org
- new version 1.3
- minor package bugfixes

* Fri Apr 02 2004 peter.pramberger@member.fsf.org
- created

